import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)


public class Gas extends Actor
{
    
    private int speed;
    
    /*
    /**
     * Constructor. Nothing to do so far.
     */
    
    
     public Gas()
    {
        speed = Greenfoot.getRandomNumber(4) + 1;
    }

    /**
     * Float along the bloodstream, slowly rotating.
     */
    public void act() 
    {
        setLocation(getX()-speed, getY());
        
        
        if (getX() == 0) 
        {
            Road road = (Road)getWorld();
            road.addScore(-15); //When bacteria escape from the World, 15 points are subtracted.
            
            getWorld().removeObject(this); // instead of calling getWorls() again we do not need to do this bc we have already stored all of the code in our local variable
            
        }
    }
}
