import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)


public class Rock extends Actor
{
    
    private int speed;
    
    /**
     * Constructor. Nothing to do so far.
     */
    public Rock()
    {
        speed = Greenfoot.getRandomNumber(2) + 1;
        setRotation(Greenfoot.getRandomNumber(360));//We don't want the setRotation method to run each act method, or it would spinning would be too outrageous.
    }

    /**
     * Float along the bloodstream, slowly rotating.
     */
    public void act() 
    {
        setLocation(getX()-speed, getY());
        
        
        if (getX() == 0) 
        {
            getWorld().removeObject(this);
        }
    }
}
